package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizDayworkItem;
import cn.ezhizao.project.business.domain.BizProductionResourceGroupDetail;
import cn.ezhizao.project.system.domain.SysDept;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 报工记录Service接口
 *
 * @author ezhizao
 * @date 2023-12-04
 */
public interface IBizDayworkItemService extends IService<BizDayworkItem>
{
    /**
     * 查询报工记录列表
     *
     * @param bizDayworkItem 报工记录
     * @return 报工记录集合
     */
    public List<BizDayworkItem> getList(BizDayworkItem bizDayworkItem);

    public List<SysDept> getDeptInfo(BizDayworkItem bizDayworkItem);

    /**
     * 物理删除
     * @param bizDayworkItem
     * @return 删除结果
     */
    public int physicalDelete(BizDayworkItem bizDayworkItem);
    /**
     * 获取设备信息
     * @param bizProductionResourceGroupDetail
     * @return
     */
    public BizProductionResourceGroupDetail getEquipmentInfo(BizProductionResourceGroupDetail bizProductionResourceGroupDetail);

    /**
     * 更新报工记录
     * @param bizDayworkItem
     */
    public void updateDayworkItem(BizDayworkItem bizDayworkItem);

    List<BizDayworkItem> getItemScreen(Long dayWorkId);

    List<BizDayworkItem> selectList(BizDayworkItem item);
}
